# Class FileBufferOperationRunner

java.lang.Object
org.eclipse.core.filebuffers.manipulation.GenericFileBufferOperationRunner
org.eclipse.core.filebuffers.manipulation.FileBufferOperationRunner

public class FileBufferOperationRunner extends GenericFileBufferOperationRunner
A `FileBufferOperationRunner` executes `IFileBufferOperation`. The runner takes care of all aspects that are not operation specific.

This class is not intended to be subclassed. Clients instantiate this class.

Since:
  3.1
See Also:
  - `IFileBufferOperation`
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`FileBufferOperationRunner(IFileBufferManager fileBufferManager, Object validationContext)`
Creates a new file buffer operation runner.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`commit(IFileBuffer[] fileBuffers, IProgressMonitor progressMonitor)`

### Methods inherited from class GenericFileBufferOperationRunner

`computeCommitRule, doCommit, execute`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileBufferOperationRunner

public FileBufferOperationRunner(IFileBufferManager fileBufferManager, Object validationContext)
Creates a new file buffer operation runner.

Parameters:
  `fileBufferManager` - the file buffer manager
  `validationContext` - the validationContext

## Method Details

### commit

protected void commit(IFileBuffer[] fileBuffers, IProgressMonitor progressMonitor) throws CoreException

Overrides:
  `commit` in class `GenericFileBufferOperationRunner`
Throws:
  `CoreException`